using System.Web.Optimization;

namespace LeafWeb.Web.App_Start
{
	public class BundleConfig
	{
		// For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkId=254725
		public static void RegisterBundles(BundleCollection bundles)
		{
			bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
						"~/scripts/jquery-{version}.js"));

			//// Use the development version of Modernizr to develop with and learn from. Then, when you're
			//// ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
			//bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
			//			"~/scripts/modernizr-*"));

			bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
				"~/scripts/bootstrap.js"));

			bundles.Add(new ScriptBundle("~/bundles/angularjs")
				.Include("~/scripts/angular.js")
				.Include("~/scripts/angular-*"));

			bundles.Add(new ScriptBundle("~/bundles/app")
				.Include("~/scripts/App.js"));

			bundles.Add(new StyleBundle("~/bundles/css").Include(
				"~/Content/bootstrap.css",
				"~/Content/site.css"
				));
		}
	}
}